#include <iostream>
#include <string>
#include<stdio.h>
#include<stdlib.h>
#include <bits/stdc++.h>
int main()
{
 char a, b;
 int n, a1, b1;
 scanf("%c%c", &a, &b);
 scanf("%d%d", &a1, &b1);
 n= a1 + b1;
 if (a1-b1>1) printf("nemoguce");
 else if (b1-a1>1) printf("nemoguce");
 else if (a1>b1)
 {
     printf("%c", a);
     for(int i=0; i<n-1; i++)
     {
     if (i%2==0) printf("%c", b);
     if (i%2==1) printf("%c", a);
     }
 }
 else if (b1>a1)
 {
     printf("%c", b);
     for(int i=0; i<n-1; i++)
     {
     if (i%2==0) printf("%c", a);
     if (i%2==1) printf("%c", b);
     }
 }
 else
 {
     for(int i=0; i<n; i++)
     {
     if (i%2==0) printf("%c", a);
     if (i%2==1) printf("%c", b);
     }
 }
 return 0;
}